# Development Process

# Adding New Features

To keep Canary as minimal as possible we adopt a conservative policy for what
features are added to its specification. This is to avoid the feature-creep that
plagues large UI and UX frameworks in the long run. The following reasons are
general guidelines for what features should and should not be added to Canary.

## Reasons to add a feature

The feature provides a clear benefit to a cultural class of users. For example,
Arabic speakers will require that text can be rendered right-to-left.

The feature reduces the resource usage of scripts.

## Reasons NOT to add a feature

The feature adds more complexity to the host than is removed from scripts.

The feature only applies to certain host configurations.

The feature can be effectively emulated in a script.
